import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/Annotations/RouterCenterRestore.mark.dart';

class ErrorPage extends StatelessWidget {
  final String reason;
  ErrorPage(this.reason);

  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: '出错页面',
      color: Color(0xFFffffff),
      home: ErrorMainPage(reason: this.reason,)
    );
  }

}

class ErrorMainPage extends StatelessWidget  {

  final String reason;

  ErrorMainPage({Key key, this.reason}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Text(reason),
      ),
    );
  }

}
